Bug 9930 - smbd did not cleanup disonnected durable handles
smbd did not cleanup disonnected durable handles
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
4.0.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 13:39 UTC by Gregor Beck (550 Unknown user)
Modified: 2013-08-29 15:04 UTC (History)
2 users (show)

See Also:


Attachments
packport the scavenger daemon from master (43.34 KB, patch)
2013-06-05 13:41 UTC, Gregor Beck (550 Unknown user)
no flags Details
packport the scavenger daemon from master (60.35 KB, patch)
2013-06-25 12:24 UTC, Gregor Beck (550 Unknown user)
no flags Details
Updated patchset for v4-0-test (61.74 KB, patch)
2013-06-26 13:44 UTC, Michael Adam
obnox: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor Beck (550 Unknown user) 2013-06-05 13:39:32 UTC
smbd has to cleanup disconnected durable handles after a specific timeout (MS-SMB2 3.3.2.2) if there was no reconnect.

It fails to do so and accumulates dead entries in smbXsrv_open_global.tdb
Comment 1 Gregor Beck (550 Unknown user) 2013-06-05 13:41:55 UTC
Created attachment 8944 [details]
packport the scavenger daemon from master
Comment 2 Gregor Beck (550 Unknown user) 2013-06-25 12:24:28 UTC
Created attachment 8995 [details]
packport the scavenger daemon from master

redone to apply cleanly to v4-0-test
Comment 3 Michael Adam 2013-06-26 13:44:45 UTC
Created attachment 8999 [details]
Updated patchset for v4-0-test

Thanks Gregor for the patchset!

This is an updated patchset:
There was one additional patch from master missing on top.
With this patch, the durable tests pass again.
The missing patch was correcting the setting of the durable
scavenge timeout. It was not bad before the scavenger itself
was introduced... ;-)
Comment 4 Michael Adam 2013-06-26 13:46:12 UTC
It would be great if one of you guys could review this for 4.0.NEXT. Thanks!
Comment 5 Jeremy Allison 2013-06-27 19:08:41 UTC
Comment on attachment 8999 [details]
Updated patchset for v4-0-test

LGTM.
Comment 6 Jeremy Allison 2013-06-27 19:09:00 UTC
Re-assigning to Karolin for inclusion in 4.0.next.
Jeremy.
Comment 7 Karolin Seeger 2013-07-02 08:53:12 UTC
Pushed to autobuild-v4-0-test.
Comment 8 Karolin Seeger 2013-07-03 08:20:26 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!